Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
firmware::ImageInfo Struct Reference

Firmware image information More...

`import "Firmware.idl";`

## Public Attributes
boolean | valid
| The file is a valid firmware image.
string | version
| Firmware image version
string | min_required_version
| Minimum running firmware version for image.
string | min_downgrade_version
| Minimum image version for running firmware.
string | product
| Product name.
string | platform
| Platform name.
string | oem
| OEM name.
string | hwid_whitelist
| Hardware ID whitelist.
string | hwid_blacklist
| Hardware ID blacklist.
boolean | compatible
| `true` if the image is compatible with this device
boolean | signature_present
| `true` if the image is signed
string | signed_by
| Signature issuer.
boolean | signature_good
| `true` if the signature is valid
string | certified_by
| Key certificate issuer.
boolean | certificate_good
| `true` if the key certificate is valid
boolean | model_list_present
| `true` if the image includes a supported models list
boolean | model_supported
| `true` if the model is found on the support list

## Detailed Description

Firmware image information

Definition at line 63 of file Firmware.idl.

## Member Data Documentation

## ◆ certificate_good

boolean firmware::ImageInfo::certificate_good

`true` if the key certificate is valid

Definition at line 82 of file Firmware.idl.

## ◆ certified_by

string firmware::ImageInfo::certified_by

Key certificate issuer.

Definition at line 81 of file Firmware.idl.

## ◆ compatible

boolean firmware::ImageInfo::compatible

`true` if the image is compatible with this device

Definition at line 76 of file Firmware.idl.

## ◆ hwid_blacklist

string firmware::ImageInfo::hwid_blacklist

Hardware ID blacklist.

Definition at line 74 of file Firmware.idl.

## ◆ hwid_whitelist

string firmware::ImageInfo::hwid_whitelist

Hardware ID whitelist.

Definition at line 73 of file Firmware.idl.

## ◆ min_downgrade_version

string firmware::ImageInfo::min_downgrade_version

Minimum image version for running firmware.

Definition at line 68 of file Firmware.idl.

## ◆ min_required_version

string firmware::ImageInfo::min_required_version

Minimum running firmware version for image.

Definition at line 67 of file Firmware.idl.

## ◆ model_list_present

boolean firmware::ImageInfo::model_list_present

`true` if the image includes a supported models list

Definition at line 84 of file Firmware.idl.

## ◆ model_supported

boolean firmware::ImageInfo::model_supported

`true` if the model is found on the support list

Definition at line 85 of file Firmware.idl.

## ◆ oem

string firmware::ImageInfo::oem

OEM name.

Definition at line 72 of file Firmware.idl.

## ◆ platform

string firmware::ImageInfo::platform

Platform name.

Definition at line 71 of file Firmware.idl.

## ◆ product

string firmware::ImageInfo::product

Product name.

Definition at line 70 of file Firmware.idl.

## ◆ signature_good

boolean firmware::ImageInfo::signature_good

`true` if the signature is valid

Definition at line 80 of file Firmware.idl.

## ◆ signature_present

boolean firmware::ImageInfo::signature_present

`true` if the image is signed

Definition at line 78 of file Firmware.idl.

## ◆ signed_by

string firmware::ImageInfo::signed_by

Signature issuer.

Definition at line 79 of file Firmware.idl.

## ◆ valid

boolean firmware::ImageInfo::valid

The file is a valid firmware image.

Definition at line 64 of file Firmware.idl.

## ◆ version

string firmware::ImageInfo::version

Firmware image version

Definition at line 66 of file Firmware.idl.

The documentation for this struct was generated from the following file:

- Firmware.idl